declare module "html2bbcode" {

    export interface BBCodeMapping {
        section: string;
        attr?: string;
        data?: string;
        newline?: number;
        extend?: string[];
        empty?: boolean;
        ignore?: boolean;
    }

    export class BBCode {
        static maps: { [htmlNode: string] : BBCodeMapping };
        constructor();
        toString() : string;
    }

    export interface HTML2BBCodeOptions {
        imagescale?: boolean;
        transsize?: boolean;
        nolist?: boolean;
        noalign?: boolean;
        noheadings?: boolean;
        debug?: boolean;
    }

    export class HTML2BBCode {
        constructor(opts?: HTML2BBCodeOptions);
        feed(html: string) : BBCode;
    }
}